package com.bonus.material.work.service;


import com.bonus.common.biz.domain.lease.WorkPeopleInfo;
import com.bonus.material.ma.domain.DirectApplyInfo;
import com.bonus.material.work.domain.SysWorkflowNode;

import java.util.List;
import java.util.Map;

public interface SysWorkflowNodeService {
    List<SysWorkflowNode> selectSysWorkflowNodeList(SysWorkflowNode sysWorkflowNode);

    int addSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    int deleteSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    int updateSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    List<SysWorkflowNode> listByTaskId(SysWorkflowNode sysWorkflowNode);

    void copeNodeConfigPersonValuesByNode(SysWorkflowNode forSysWorkflowNode);
    void copeNodeConfigPersonValuesByNodeTwo(SysWorkflowNode forSysWorkflowNode, DirectApplyInfo directApplyInfo,List<WorkPeopleInfo> userList,int num);

    Map<Integer, SysWorkflowNode> listByProId(SysWorkflowNode sysWorkflowNode);
}
